package space.kklochko.jdbc_hospital_example.db.repositories.blocks;

import space.kklochko.jdbc_hospital_example.db.factories.DataBaseConnection;

import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;

public class CreateTable {
    public boolean create(DataBaseConnection db, String createTableStatement) {
        try (Connection connection = db.connect()) {
            Statement statement = connection.createStatement();
            statement.execute(createTableStatement);
            return true;
        } catch (SQLException e) {
            throw new RuntimeException(e);
        }
    }
}
