package space.kklochko.jdbc_hospital_example.db.repositories.blocks;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

public class TransactionalUpdate {
    public int run(Connection connection, PreparedStatement updateStatement) throws SQLException {
        try {
            int rowCount = updateStatement.executeUpdate();
            connection.commit();

            return rowCount;
        } catch (SQLException e) {
            connection.rollback();
        }

        return -1;
    }
}
