package space.kklochko.jdbc_hospital_example.db.factories;

import lombok.Setter;
import space.kklochko.jdbc_hospital_example.config.models.DataBaseConfig;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

@Setter
public class DataBaseConnection extends DataBaseConnectionFactory {
    private DataBaseConfig dbConfig;

    public DataBaseConnection(DataBaseConfig dbConfig) {
        setDbConfig(dbConfig);
    }

    public Connection connect() throws SQLException {
        return DriverManager.getConnection(dbConfig.getUrl(), dbConfig.getProperties());
    }
}
